gnutls_openpgp_crt_export(3)

NAME
gnutls_openpgp_crt_export - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_export(gnutls_openpgp_crt_t key, gnutls_openpgp_crt_fmt_t format, void * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_openpgp_crt_t key
    Holds the key.

gnutls_openpgp_crt_fmt_t format
    One of gnutls_openpgp_crt_fmt_t elements.

void * output_data
    will contain the raw or base64 encoded key

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will convert the given key to RAW or Base64 format. If the buffer provided is not long enough to hold the output, then GNUTLS_E_SHORT_MEMORY_BUFFER will be returned.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/